Show DRM Encoding Profile details
curl -X GET "https://api.5centscdn.com/v2/drm/profiles/7" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/drm/profiles/7"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/drm/profiles/7", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/drm/profiles/7", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/drm/profiles/7')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"id": 7,
"serviceid": 10001,
"name": "Widevine + PlayReady HD/SD",
"key_mode": "hd_sd",
"hd_height_threshold": 720,
"key_systems": [
"widevine",
"playready"
],
"protection_scheme": "cbcs",
"created_at": "2026-09-22 12:10:00",
"updated_at": "2026-09-22 12:10:00"
}
/drm/profiles/{drmprofileid}Target server for requests. Edit to use your own host.
API key (sent in header)
Unique identifier of the DRM Encoding Profile.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Responses
Operation outcome.
Unique identifier of the DRM Encoding Profile.
Service account identifier that owns this profile. 0 for a platform-wide shared profile.
Friendly name of the profile.
Key-splitting mode.
singlehd_sdper_renditionPixel height threshold used by the hd_sd and per_rendition key modes.
DRM systems enabled for assets encoded with this profile.
widevineplayreadyfairplaywiseplayCommon Encryption protection scheme applied to the content.
cbcsProfile creation timestamp.
Profile last-update timestamp.